Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232300 - rgmanager should discover migration if someone migrates a vm out from under it
Summary: rgmanager should discover migration if someone migrates a vm out from under it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-14 19:30 UTC by Lon Hohberger
Modified: 2009-04-16 22:37 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0580
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 16:45:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0580 normal SHIPPED_LIVE rgmanager bug fix and enhancement update 2007-10-30 15:37:24 UTC

Description Lon Hohberger 2007-03-14 19:30:57 UTC
Description of problem:

xm migrate ... 

...will cause rgmanager to think the VM was stopped on the node it was running
on and restart it.  If migration succeeded and the VM is restarted, this ends up
with two copies of the VM running on the cluster.

The thought was "don't do that", but we can protect against this in the
following manner:

For a service which is "migratory" - i.e. a VM with no children, if status check
fails, we can then:
* ask each node to check for the "migratory" service.
* if it turns up, we can simply update rgmanager's state to reflect the new owner.
* if it does not turn up, take recovery as normal

Comment 1 Kiersten (Kerri) Anderson 2007-04-23 17:23:29 UTC
Fixing Product Name.  Cluster Suite was integrated into the Enterprise Linux for
version 5.0.

Comment 3 Lon Hohberger 2007-06-29 17:52:38 UTC
Warning: testing of this is dangerous.

On 5.0, if you migrate a virtual machine off of a host node while rgmanager is
watching the VM, rgmanager will see this as a failure and restart the VM -
potentially ending up with the VM running in two places on the cluster.

On 5.1, if you migrate a VM off of a host node, rgmanager will first query other
nodes in the cluster - and then restart it.

Additionally, if you create a VM on a cluster node running rgmanager - and
rgmanager has an associated service, a subsequent 'enable' request will not
start the VM a second time - it will simply flag the VM as 'started' on the node
which is already running it.

Comment 5 errata-xmlrpc 2007-11-07 16:45:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0580.html



Note You need to log in before you can comment on or make changes to this bug.